For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
contact@agentmail.ccDiscord
DocumentationAPI ReferenceKnowledge BaseChangelog
DocumentationAPI ReferenceKnowledge BaseChangelog
  • API Reference
      • GETList Webhooks
      • GETGet Webhook
      • POSTCreate Webhook
      • PATCHUpdate Webhook
      • DELDelete Webhook
LogoLogo
contact@agentmail.ccDiscord
API ReferenceWebhooks

List Webhooks

GET
/v0/webhooks
GET
/v0/webhooks
1from agentmail import AgentMail
2
3client = AgentMail(
4 api_key="YOUR_TOKEN_HERE",
5)
6
7client.webhooks.list()
200Retrieved
1{
2 "count": 1,
3 "webhooks": [
4 {
5 "webhook_id": "webhook_id",
6 "url": "url",
7 "secret": "secret",
8 "enabled": true,
9 "updated_at": "2024-01-15T09:30:00Z",
10 "created_at": "2024-01-15T09:30:00Z",
11 "event_types": [
12 "message.received",
13 "message.received"
14 ],
15 "pod_ids": [
16 "pod_ids",
17 "pod_ids"
18 ],
19 "inbox_ids": [
20 "inbox_ids",
21 "inbox_ids"
22 ],
23 "client_id": "client_id"
24 },
25 {
26 "webhook_id": "webhook_id",
27 "url": "url",
28 "secret": "secret",
29 "enabled": true,
30 "updated_at": "2024-01-15T09:30:00Z",
31 "created_at": "2024-01-15T09:30:00Z",
32 "event_types": [
33 "message.received",
34 "message.received"
35 ],
36 "pod_ids": [
37 "pod_ids",
38 "pod_ids"
39 ],
40 "inbox_ids": [
41 "inbox_ids",
42 "inbox_ids"
43 ],
44 "client_id": "client_id"
45 }
46 ],
47 "limit": 1,
48 "next_page_token": "next_page_token"
49}
**CLI:** ```bash agentmail webhooks list ```
Was this page helpful?
Previous

Get Webhook

Next
Built with

CLI:

$agentmail webhooks list

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
Limit of number of items returned.
page_tokenstringOptional
Page token for pagination.
ascendingbooleanOptional
Sort in ascending temporal order.

Response

This endpoint returns an object.
countinteger
Number of items returned.
webhookslist of objects

Ordered by created_at descending.

limitinteger
Limit of number of items returned.
next_page_tokenstring
Page token for pagination.